be.ehealth.businessconnector.registration.builder

## Class RegistrationRequestBuilderFactory

- java.lang.Object
- - be.ehealth.businessconnector.registration.builder.RegistrationRequestBuilderFactory

-     public final class RegistrationRequestBuilderFactory
      extends Object

  creates the request builder for registration webservice.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_REQUESTBUILDER_CLASS` the name of the default implemention of the ResponseObjectBuilder.
    `static String` | `PROP_REQUESTBUILDER_CLASS` property name which can be used to set an alternative implementation of the ResponseObjectBuilder.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RequestBuilder` | `getRequestObjectBuilder()` Retrieves an instance of a `RequestBuilder` implementation The implementation could be a custom class defined in the configuration file with the properties 'registration.responseobjectbuilder.class'

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROP_REQUESTBUILDER_CLASS

          public static final String PROP_REQUESTBUILDER_CLASS

      property name which can be used to set an alternative implementation of the ResponseObjectBuilder.
      See Also:
        Constant Field Values

    - #### DEFAULT_REQUESTBUILDER_CLASS

          public static final String DEFAULT_REQUESTBUILDER_CLASS

      the name of the default implemention of the ResponseObjectBuilder.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getRequestObjectBuilder

          public static RequestBuilder getRequestObjectBuilder()
                                                        throws TechnicalConnectorException

      Retrieves an instance of a `RequestBuilder` implementation The implementation could be a custom class defined in the configuration file with the properties 'registration.responseobjectbuilder.class'
      Returns:
        `RequestBuilder` the instance of the `RequestBuilder`
      Throws:
        `TechnicalConnectorException`

Connector Packaging PERSPHYSICIAN 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.